package cn.bunny.entity.email;

import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.web.multipart.MultipartFile;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class EmailSend {
    // 给谁发送
    @NotNull(message = "发送者不能为空")
    private String sendTo;
    // 发送主题
    @NotNull(message = "主题不能为空")
    private String subject;
    // 是否为富文本
    private Boolean isRichText;
    // 发送内容
    private String message;
    // 抄送人
    private String ccParam;
    // 发送的文件
    private MultipartFile file;
}
